Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 266819 - x11-drivers/ati-drivers-8.612 version bump
Summary: x11-drivers/ati-drivers-8.612 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Luca Barbato
URL: https://www2.ati.com/drivers/linux/at...
Whiteboard:
Keywords:
: 272416 (view as bug list)
Depends on:
Blocks:
 
Reported: 2009-04-20 02:09 UTC by Jason A. Donenfeld
Modified: 2009-09-15 10:27 UTC (History)
21 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild I used to install 9.4 (ati-drivers-8.602.ebuild,14.37 KB, text/plain)
2009-04-23 21:04 UTC, Volker Hemmann
Details
Patch for kernel 2.6.29 (2.6.29_support.patch,3.03 KB, patch)
2009-05-08 08:29 UTC, Sebastian Parborg
Details | Diff
ati-drivers-8.612.ebuild (ati-drivers-8.612.ebuild,14.67 KB, text/plain)
2009-05-23 20:10 UTC, Tony Vroon
Details
working ebuild without warning. (ati-drivers-8.612.ebuild,14.56 KB, text/plain)
2009-05-28 17:17 UTC, Kirill Igorevich Cherniy
Details
fglrx-2.6.30-irqreturn_t.patch (fglrx-2.6.30-irqreturn_t.patch,699 bytes, patch)
2009-06-12 00:17 UTC, James Le Cuirot
Details | Diff
fglrx-missing-pci_enable_msi.patch (fglrx-missing-pci_enable_msi.patch,436 bytes, patch)
2009-06-12 00:17 UTC, James Le Cuirot
Details | Diff
fglrx-rt-compat.patch (fglrx-rt-compat.patch,610 bytes, patch)
2009-06-12 00:18 UTC, James Le Cuirot
Details | Diff
ati-drivers-8.612.ebuild (ati-drivers-8.612.ebuild,14.64 KB, text/plain)
2009-06-12 12:13 UTC, James Le Cuirot
Details
path for ~2.6.30 x86 missing symbol flush_tlb_page (flush_tlb_page-94.patch,585 bytes, patch)
2009-06-17 23:25 UTC, runoverheads
Details | Diff
Version bump (ati-drivers-8.620.ebuild,14.77 KB, text/plain)
2009-06-19 18:30 UTC, Michael Bradley
Details
Fix some issues with CONFIG_X86_32 (config_x86_32.patch,522 bytes, patch)
2009-06-19 18:31 UTC, Michael Bradley
Details | Diff
ati-drivers-8.624 (ati-drivers-8.624.ebuild,14.79 KB, text/plain)
2009-06-20 00:19 UTC, Jerrod Frost
Details

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2009-04-20 21:43:29 UTC
Please don't CC maintainers/herds yourself. Leave that to the bug-wranglers.
Comment 2 Jeffrey Gardner (RETIRED) gentoo-dev 2009-04-23 03:23:25 UTC
hrm... it doesn't look like this was intended for my mobility x1600
Comment 3 Till Matthiesen 2009-04-23 08:39:35 UTC
(In reply to comment #2)
> hrm... it doesn't look like this was intended for my mobility x1600

Yes, they dropped support for R5xx adapters and below with Catalyst 9.4.
Comment 4 Michiel de Bruijne 2009-04-23 08:41:16 UTC
(In reply to comment #2)
> hrm... it doesn't look like this was intended for my mobility x1600
> 

ATI Radeon X1600 Series have been moved to the legacy software support structure; http://support.amd.com/us/gpudownload/linux/legacy/Pages/radeon_linux.aspx?type=2.4.2&product=2.4.2.3.10&lang=English

The last and latest version for this hardware is 9.3; https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/catalyst_93_linux.pdf
Comment 5 Antek Grzymała (antoszka) 2009-04-23 08:45:21 UTC
This is pretty disastrous for laptop users as the xorg-based radeon and radeonhd drivers don't do power management (yet), so you'll get fans in your laptop running full speed all the time :(.

Don't know what those guys are thinking. My X1600 laptop is still on warranty, by no means outdated hardware.
Comment 6 Till Matthiesen 2009-04-23 08:59:21 UTC
(In reply to comment #5)
> This is pretty disastrous for laptop users as the xorg-based radeon and
> radeonhd drivers don't do power management (yet), so you'll get fans in your
> laptop running full speed all the time :(.

You can give xf86-video-ati a try from Git master.
They support two new options for PM, 'ForceLowPowerMode' and 'DynamicPM'.

Should work fine for your x1600.
Comment 7 Volker Hemmann 2009-04-23 21:04:06 UTC
If you can't wait - copy/rename ebuild and edit it does work fine to install this driver.
Downside - no 2.6.29 support. Maybe there is a working patch out there.
Comment 8 Volker Hemmann 2009-04-23 21:04:48 UTC
Created attachment 189260 [details]
ebuild I used to install 9.4
Comment 9 Luca Barbato gentoo-dev 2009-04-24 11:16:48 UTC
I was trying to find a working patch and that is holding it a bit.

by this weekend I'll put something
Comment 10 Antek Grzymała (antoszka) 2009-04-27 18:48:08 UTC
(In reply to comment #6)


> You can give xf86-video-ati a try from Git master.
> They support two new options for PM, 'ForceLowPowerMode' and 'DynamicPM'.
> 
> Should work fine for your x1600.

That's valuable news. Thanks a lot.
Comment 11 Lasse Toimela 2009-05-02 19:33:29 UTC
(In reply to comment #7)
> If you can't wait - copy/rename ebuild and edit it does work fine to install
> this driver.
> Downside - no 2.6.29 support. Maybe there is a working patch out there.
> 

There is 2.6.29 patch for 8.582 (9.2) drivers. I copied it from some Mandriva src rpm package. You could check it out or I can upload it later if you need it.
Comment 12 Sebastian Parborg 2009-05-08 08:29:13 UTC
Created attachment 190675 [details, diff]
Patch for kernel 2.6.29

This one works for me at least! ;)
Comment 13 ScytheMan 2009-05-09 15:26:23 UTC
Is it possible to add future versions fast as (maybe masked) vanilla-versions to portage? Fixes for new kernels etc. could be added as -r1 afterwards.
Comment 14 Enrico Tagliavini 2009-05-12 17:08:47 UTC
I think it will be a good idea to rename the current version of ati-drivers from this version to ati-drivers-9.4 couse it is more clear to the user to understand what version he is installing. since 9.4 > 8.593 (the 9.3 version) it gives no problem for the correct update.

Someone has already proposed this, but with no answer http://bugs.gentoo.org/show_bug.cgi?id=264011#c19
Comment 15 Sebastian Stammler 2009-05-13 15:28:35 UTC
Provided ebuild compiles and works here, w/o the 2.6.29 patch though. I use the 2.6.28-gentoo-r5 kernel, amd64 system.
But still, my X crashes and freezes the system if the kernel module got loaded before the X server starts. I have to rmmod fglrx just before launching Xorg.

I support the idea of changing the version-scheme since the version-suffix should help the user and not confuse him. Well, and using some internal version-namings do.

NB: I use gcc-4.3.2-r3, xorg-x11-7.2 and xorg-server-1.5.3-r5
Comment 16 Nikos Chantziaras 2009-05-16 06:47:20 UTC
Version 9.5 is out:

https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/ati-driver-installer-9-5-x86.x86_64.run

Still no kernel 2.6.29 support though.
Comment 17 Jason A. Donenfeld archtester Gentoo Infrastructure gentoo-dev Security 2009-05-20 19:42:22 UTC
The tree is still at 8.593. What's the hold up exactly?
Comment 18 Marcin Deranek 2009-05-20 20:39:34 UTC
Just got built 8.612 (9.5) on ~amd64 with 2.6.29 kernel (used provided ebuild (with URI change) + 2.6.29 patch).
So far things are working fine although haven't testes it long..
Comment 19 Harrison Metzger 2009-05-22 13:32:39 UTC
Using the Ebuild from Volker (modified by removing the power management and adding the patch from Sebastian) I'm able to actually install ATI's 9.5 drivers. I haven't tested it yet, but since it actually installs, I'm one step ahead from before. I had attempted to install the ati drivers directly from their website. However, the versions I tested (9.4 and 9.5), crashed in the installer (glibc complained of double free or free list corruption). Does anyone know why the ATI installer crashes when just trying to do a manual install? (Not, that it will help solve the issue, but why must these ati-drivers be such a PITA to install? Come on AMD!)

Anyway, once kdm is finished installing, I shall test out X.
Comment 20 Harrison Metzger 2009-05-23 18:07:57 UTC
Yep. It works, more or less. Xorg -configure crashes with some backtrace with a fglrx symbox in it, but copying an older xorg.conf with fglrx works.
Comment 21 Tony Vroon gentoo-dev 2009-05-23 20:10:45 UTC
Created attachment 192228 [details]
ati-drivers-8.612.ebuild
Comment 22 Tony Vroon gentoo-dev 2009-05-23 20:12:44 UTC
Luca, Je_Fro, I will ping on IRC. If I don't hear from you in a week, can I consider that neither of you are interested in this ebuild anymore?
Comment 23 Sebastian Stammler 2009-05-26 20:09:27 UTC
8.612 resp. 9.5 again works here with the same system mentioned above. however, this update actually FIXED a major problem I encountered with all older driver revisions (I tried several of them that support my graphics card, a hd4850). When the X server started, my system froze in a random manner (probability seemed to be at about 0.5 ;). Now, this problem is gone far away, it seems. I had about 10 X server initializations since I installed 9.5 .
Comment 24 Paul Cifarelli 2009-05-26 21:17:52 UTC
(In reply to comment #23)
I can report that my hd4950, which worked "unsupported" with 9.3 but also had the hanging X server problem, works with the 602 ebuild (also -acpi) on 2.6.27 & 2.6.28 (vanilla).  The freezing problem is also now gone for me as well.

Comment 25 Nikos Chantziaras 2009-05-26 22:03:03 UTC
(In reply to comment #21)
> Created an attachment (id=192228) [edit]
> ati-drivers-8.612.ebuild

Is this correct?

if kernel_is ge 2 6 29; then
    pwd && epatch "${FILESDIR}"/ati-drivers-2.6.19.patch
fi

Note the "ati-drivers-2.6.19.patch".
Comment 26 Paul Cifarelli 2009-05-27 20:28:19 UTC
(In reply to comment #24)
> (In reply to comment #23)
> I can report that my hd4950, which worked "unsupported" with 9.3 but also had
> the hanging X server problem, works with the 602 ebuild (also -acpi) on 2.6.27
> & 2.6.28 (vanilla).  The freezing problem is also now gone for me as well.
> 
I meant *hd4890 :)
Comment 27 Kirill Igorevich Cherniy 2009-05-28 17:17:17 UTC
Created attachment 192732 [details]
working ebuild without warning.

Guys, do u CHECK ebuilds before posting?
Comment 28 Ilya Hegai 2009-05-30 06:32:58 UTC
I'm not sure this is the right place for this, but 8.612 (aka 9.5) with 2.6.29-r5 (stabilized recently) system failed to wake after suspend (I'm using pm-utils)
8.593 with 2.6.28-r6 is OK
Comment 29 Christian Faulhammer (RETIRED) gentoo-dev 2009-06-03 12:36:33 UTC
*** Bug 272416 has been marked as a duplicate of this bug. ***
Comment 30 Aidan Taniane 2009-06-05 15:39:07 UTC
gentoo-sources-2.6.29* has gone stable, new installs with R6/7xx cards are going to be blocked by this bug.
Comment 31 Tony Vroon gentoo-dev 2009-06-05 15:50:33 UTC
There is no official ATI support for 2.6.29 kernels, so if I take this ebuild over, don't expect to have it.
Comment 32 James Le Cuirot gentoo-dev 2009-06-12 00:17:19 UTC
Created attachment 194316 [details, diff]
fglrx-2.6.30-irqreturn_t.patch

Here's three additional patches you need for 2.6.30.
Comment 33 James Le Cuirot gentoo-dev 2009-06-12 00:17:38 UTC
Created attachment 194318 [details, diff]
fglrx-missing-pci_enable_msi.patch
Comment 34 James Le Cuirot gentoo-dev 2009-06-12 00:18:11 UTC
Created attachment 194320 [details, diff]
fglrx-rt-compat.patch

Not sure if this one's really needed but Ubuntu apply it.
Comment 35 Ramon Medina 2009-06-12 02:22:40 UTC
I just installed the 8.6.12 ebuild on kernel 2.6.30 using patches fglrx-2.6.30-irqreturn_t.patch, fglrx-missing-pci_enable_msi.patch, and fglrx-rt-compat.patch.

It's working great so far! Thanks for the patches!
Comment 36 Takatsuki 2009-06-12 11:31:33 UTC
* Messages for package x11-drivers/ati-drivers-8.612:

 * 
 * ERROR: x11-drivers/ati-drivers-8.612 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3409:  Called linux-mod_src_compile
 *             environment, line 2588:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\" 						CROSS_COMPILE=${CHOST}- 						LDFLAGS=\"$(get_abi_LDFLAGS)\" 						${BUILD_FIXES} 						${BUILD_PARAMS} 						${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *  The die message:
 *   Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=  GCC_VER_MAJ=4 KVER=2.6.30-gentoo-r1 KDIR=/usr/src/linux kmod_build

emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.30-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r1-x86_64-AMD_Athlon-tm-_64_Processor_3200+-with-gentoo-2.0.1
Timestamp of tree: Fri, 12 Jun 2009 10:45:01 +0000
app-shells/bash:     4.0_p24
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.29
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo-euetib.upc.es/mirror/gentoo/ "
LANG="es_ES.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="es"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise /usr/local/portage/layman/taka"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X aac ac52 acl acpi acpi4linux alsa amd64 atm avahi berkdb bzip2 cli cracklib crypt cups dbus dri dvd dvdread ffmpeg firefox fortran ftp gdbm geoip gif gnome gpm gstreamer gtk hal hddtemp iconv ipv6 isdnlog java jpeg jpeg2k lm_sensors matroska midi mmx mmxext mp3 mpeg mplayer msn mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png pppd python readline reflection samba session sockets spl sql sqlite sqlite3 sse sse2 ssl sysfs tcpd truetype unicode videos vnc vorbis wifi x264 xcomposite xine xinetd xorg xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="es" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 37 James Le Cuirot gentoo-dev 2009-06-12 11:36:45 UTC
You didn't post the important part of the output that shows the actual reason why it failed.
Comment 38 Takatsuki 2009-06-12 11:46:58 UTC
http://pastebin.com/m5e1cbe56

Here is the complete output
Comment 39 James Le Cuirot gentoo-dev 2009-06-12 12:13:40 UTC
Created attachment 194402 [details]
ati-drivers-8.612.ebuild

You didn't apply the patches I just posted. Here's the ebuild for that.
Comment 40 Takatsuki 2009-06-12 13:10:47 UTC
Thanks, now it compile succesfull.
But i have other problem, the xorg cannot start.

http://dpaste.com/54594/
Here is the complete output
Comment 41 James Le Cuirot gentoo-dev 2009-06-12 13:15:58 UTC
I'm not sure but I'm guessing you have a pre-R600 card, which is no longer supported by the driver.
Comment 42 lily 2009-06-12 13:31:34 UTC
in 2.6.30-gentoo-r1, install ati-drivers-8.612, but there is also can't modprobe the fglrx:

$ sudo modprobe fglrx 
FATAL: Error inserting fglrx (/lib/modules/2.6.30-gentoo-r1-lly/video/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)
$ dmesg | tail
fglrx: Unknown symbol flush_tlb_page

who know why?
Comment 43 James Le Cuirot gentoo-dev 2009-06-12 13:39:11 UTC
I think you need this enabled in your kernel. We should probably add a check for it. I suspect it won't be long before the next release though.

Kernel hacking --->
[*] Enable unused/obsolete exported symbols
Comment 44 Takatsuki 2009-06-12 14:00:54 UTC
Mi grapich card is a Ati radeon x700, and work perfectly whit previous version of ati-drivers.

This is the output modprobe:
http://dpaste.com/54620/

Here dmesg:
http://dpaste.com/54622/
Comment 45 James Le Cuirot gentoo-dev 2009-06-12 14:08:03 UTC
Exactly, that is a pre-R600 card. You'll have to stick with version 9.3 (8.593) or switch to the open drivers. I recommend the open drivers.
Comment 46 Takatsuki 2009-06-12 15:38:28 UTC
which package are the open drivers?
Comment 47 James Le Cuirot gentoo-dev 2009-06-12 15:43:50 UTC
In your case, you need xf86-video-ati. x86-video-radeonhd is for R600 and above only.
Comment 48 Tony Vroon gentoo-dev 2009-06-12 15:44:01 UTC
xf86-video-ati; please keep troubleshooting for unrelated cards out of the bug report.
Comment 49 lily 2009-06-13 03:54:11 UTC
to James Le Cuirot :
I already have this kernel option enabled.
Kernel hacking --->
[*] Enable unused/obsolete exported symbols
Comment 50 Lukas Zavodny 2009-06-14 09:35:31 UTC
I have same problem like #38 and all patches are there, so I don't know what is a problem. Kernel 2.6.30-r1
Comment 51 James Le Cuirot gentoo-dev 2009-06-14 10:30:56 UTC
I totally agree that this isn't a support thread but it would seem that the message about older cards not being supported just isn't getting through.

To be sure, what card do you have?
Comment 52 Lukas Zavodny 2009-06-14 14:15:14 UTC
(In reply to comment #51)
> I totally agree that this isn't a support thread but it would seem that the
> message about older cards not being supported just isn't getting through.
> 
> To be sure, what card do you have?
> 

It is for me? If so, I have HD3450, but I am not sure what this have to do with compilation failure...
Comment 53 James Le Cuirot gentoo-dev 2009-06-14 14:18:44 UTC
Sorry, I thought that pastebin was the Xorg output. If you really have applied the patches... I dunno. Show us your output?
Comment 54 Lukas Zavodny 2009-06-14 15:52:58 UTC
(In reply to comment #53)
> Sorry, I thought that pastebin was the Xorg output. If you really have applied
> the patches... I dunno. Show us your output?
> 


here it is

http://pastebin.com/m315fb8ce
Comment 55 James Le Cuirot gentoo-dev 2009-06-14 16:12:23 UTC
/var/tmp/portage/x11-drivers/ati-drivers-8.612/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:44:2: error: #error unknown or undefined architecture configured

This would suggest that you're building against a kernel tree that you haven't built yet. You don't need to be running the kernel you're building against but you do need to have built it, or at least configured it, I think.
Comment 56 Lukas Zavodny 2009-06-14 16:21:37 UTC
It is kernel I am runnig at this moment :) But settings needed for fglrx are only saved, I have not biult it yet
Comment 57 Lukas Zavodny 2009-06-14 22:26:51 UTC
Ok, problem solved by adding #define CONFIG_X86_PC 1 to autoconf.h, however screen always freeze when it loads fglrx driver, so I will wait until ATI buy some programmers, or I buy nVidia :)
Comment 58 James Le Cuirot gentoo-dev 2009-06-14 22:36:20 UTC
If you're having to do that manually then there's something seriously wrong.

It's worth noting that it will freeze if you haven't used "eselect opengl" to select the ATI driver. For some reason, it always automatically chooses xorg-x11 when I install this driver, regardless of what I already had selected. I therefore have to change it manually afterwards.
Comment 59 Lukas Zavodny 2009-06-15 16:16:12 UTC
well it is, but don't ask me what :)

Well I uninstalled it all, so I don't try it again. I am pissed off by Ati drivers for longer time. When it works, there is CPU utilization bug in xorg and I don't know what else. For this time I am happy with open source one. But I can't play games. This is not too horrible :)
Comment 60 Tobias Jakobi 2009-06-15 19:04:36 UTC
Looks like a newer version is out: http://www.phoronix.com/forums/showthread.php?t=17728
Comment 61 Lukas Zavodny 2009-06-15 20:08:55 UTC
(In reply to comment #60)
> Looks like a newer version is out:
> http://www.phoronix.com/forums/showthread.php?t=17728

Yep, no support for 29+ at all. Looks like there is working elite of Creative...
Comment 62 Merlijn Wajer 2009-06-17 00:20:13 UTC
(In reply to comment #39)
> Created an attachment (id=194402) [edit]
> ati-drivers-8.612.ebuild
> 
> You didn't apply the patches I just posted. Here's the ebuild for that.
> 

I am using this ebuild, and I am also experiencing the same problem as #38 and #50. (Using kernel 2.6.30-r1)

Sample:
/var/tmp/portage/x11-drivers/ati-drivers-8.612/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:44:2: error: #error unknown or undefined architecture configured
In file included from /var/tmp/portage/x11-drivers/ati-drivers-8.612/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:175:

Full output of the ebuild: http://wizzup.pastebin.com/m50d35bb3
emerge --info output: http://wizzup.pastebin.com/d7574e294

I have set the correct options for fglrx, (pci_list_* and symbols). I've then rebuilt and installed my kernel. After that I rebooted. My kernel is the one I am running now.
Any ideas? :-) 
Comment 63 Ramon Medina 2009-06-17 14:22:29 UTC
Even though everything seems to be working fine, my syslog is full of these messages: 

Jun 17 10:12:04 [kernel] [  903.168143] [fglrx:firegl_find_any_map] *ERROR* Invalid map handle!<3>[fglrx:drm_vm_open] *ERROR* map not found -> inconsistent kernel data!!! vma_start:0x7f15cd76c000,handle:0xdfcf4000

I use metalog, so it rotates the files automatically, but any meaningful logs are rotated away.
Comment 64 Merlijn Wajer 2009-06-17 15:10:50 UTC
(In reply to comment #62)
> (In reply to comment #39)
> > Created an attachment (id=194402) [edit]
> > ati-drivers-8.612.ebuild
> > 
> > You didn't apply the patches I just posted. Here's the ebuild for that.
> > 
> 
> I am using this ebuild, and I am also experiencing the same problem as #38 and
> #50. (Using kernel 2.6.30-r1)
> 
> Sample:
> /var/tmp/portage/x11-drivers/ati-drivers-8.612/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:44:2:
> error: #error unknown or undefined architecture configured
> In file included from
> /var/tmp/portage/x11-drivers/ati-drivers-8.612/work/common/lib/modules/fglrx/build_mod/2.6.x/firegl_public.c:175:
> 
> Full output of the ebuild: http://wizzup.pastebin.com/m50d35bb3
> emerge --info output: http://wizzup.pastebin.com/d7574e294
> 
> I have set the correct options for fglrx, (pci_list_* and symbols). I've then
> rebuilt and installed my kernel. After that I rebooted. My kernel is the one I
> am running now.
> Any ideas? :-) 
> 

As an update, I got it to compile now...
I checked my /usr/src/linux/.config, and I found out my setting, eg CONFIG_X86_32 was not in that  compiler directives list, so I ^Z'ed the ebuild at the right time to edit the firegl_public.c file, and add my arch to the compiler directives list.

I haven't checked if my the ATI drivers do their work, but at least it compiled.

No such luck:
# modprobe fglrx
FATAL: Error inserting fglrx (/lib/modules/2.6.30-gentoo-r1Wizzup/video/fglrx.ko): Unknown symbol in module, or unknown parameter (see dmesg)

dmesg:
[   74.622858] fglrx: Unknown symbol flush_tlb_page

I guess I'll try my luck with an older kernel. :-) 
Comment 65 Tony Murray 2009-06-17 22:26:33 UTC
Merlijn, whenever you recompile your kernel, you should recompile your modules too.  emerge ati-drivers will fix your unknown symbols.
Comment 66 runoverheads 2009-06-17 23:25:31 UTC
Created attachment 195033 [details, diff]
path for ~2.6.30 x86 missing symbol flush_tlb_page

re #64:
maybe this help you
Comment 67 Merlijn Wajer 2009-06-18 14:13:15 UTC
(In reply to comment #66)
> Created an attachment (id=195033) [edit]
> path for ~2.6.30 x86 missing symbol flush_tlb_page
> 
> re #64:
> maybe this help you
> 

Tony Murray:
When I made my post, I had compiled the drivers at that very moment, and it was then that I got that error.

runoverheads:
That patch helped. After following my previous procedure (the patches by James, his ebuild, and my own small `fix'), I applied your patch. Fglrx compiled successfully, and modprobe fglrx actually works!

Unfortunately, I've recently found out that fglrx still contains some bugs for *my specific hardware*. (A350 Toshiba, 3650 Mobility Radeon HD, *4GB* RAM)

After taking a look at dmesg, I found that fglrx outputs four errors:
[  759.077147] [fglrx:__gart_init] *ERROR* Gps_CreateGPS failed
[  759.077150] [fglrx:gal_init] *ERROR* Failed to initialize gal
[  759.077152] [fglrx:mc_heap_init] *ERROR* Fail to initialize GAL
[  759.077154] [fglrx:firegl_init_pcie] *ERROR* GAL initialization failure

But it doesn't seem to be fatal, and it *may* just  be hardware specific.

Nevertheless, someone with hardware different from mine might have more luck with fglrx. It compiles, and should load successfully in the kernel. (After following the above procedure, obviously.).

For the record: kernel 2.6.30-r1
Comment 68 Michael Bradley 2009-06-19 18:30:27 UTC
Created attachment 195191 [details]
Version bump

new 9.6 Cat drivers
Comment 69 Michael Bradley 2009-06-19 18:31:20 UTC
Created attachment 195193 [details, diff]
Fix some issues with CONFIG_X86_32
Comment 70 Jerrod Frost 2009-06-20 00:19:02 UTC
Created attachment 195232 [details]
ati-drivers-8.624

depends on 2.6.29 and 2.6.30 patches listed below (except x86_32 patch)
Comment 71 Keith Harrison 2009-06-20 03:31:17 UTC
Can we please have some recent versions of ati-drivers in portage even if they only work with the 2.6.28 kernel?

ati-drivers-8.593 are currently the only drivers in portage that partially work and there are several very annoying bugs for me with this driver that prevent me from using my computer with my TV which is what i bought the computer for.
Comment 72 Marco Schinkel 2009-06-23 08:05:17 UTC
8.624 on 2.6.30 works for me, but I get error messages in the kernel log:

fglrx:firegl_find_any_map] *ERROR* Invalid map handle!<3>[fglrx:drm_vm_close] *ERROR* map not found -> inconsistent kernel data!!! vma_start:0x7fb8c9e8f000,handle:0xcb987000

btw, there's a nice howto here: http://www.linux.com/community/blogs/ATI-Catalyst-fglrx-and-Kernels-2.6.30-2.6.29.html
Comment 73 James Le Cuirot gentoo-dev 2009-06-23 09:29:21 UTC
That error isn't new but it seems to be harmless.
Comment 74 Tony Vroon gentoo-dev 2009-06-23 09:45:16 UTC
Despite repeated requests, this bug is a tangled maze of technical support to users and unofficial patches. Sorry, I have lost interest now that I have gotten the open driver working.
Comment 75 Ramon Medina 2009-06-23 12:45:27 UTC
It seems harmless, but it would be nice if it were fixed, or at least silenced, so log files don't fill up with it and become useless.
Comment 76 Nikos Chantziaras 2009-06-23 12:55:02 UTC
(In reply to comment #75)
> It seems harmless, but it would be nice if it were fixed, or at least silenced,
> so log files don't fill up with it and become useless.

That's impossible since the error is in the binary blob.  Only AMD can fix that.
Comment 77 Nikos Chantziaras 2009-06-23 12:56:48 UTC
(In reply to comment #74)
> Despite repeated requests, this bug is a tangled maze of technical support to
> users and unofficial patches. Sorry, I have lost interest now that I have
> gotten the open driver working.

Can you post about it in the dev list so that maybe another dev will pick up this package?
Comment 78 Frédéric COIFFIER 2009-06-24 20:55:43 UTC
For me:

2.6.29 + ati-drivers-8.602 : Works really fine

2.6.30 + ati-drivers-8.612 : Doesn't compile
2.6.30 + ati-drivers-8.624 : Kernel crashes when KDE 4 starts (KDE 4 use special effects like composite...)

I don't if this regression is due to the ATI drivers or to patchs for building with 2.6.30...
Comment 79 Jeffrey Gardner (RETIRED) gentoo-dev 2009-06-25 04:24:44 UTC
(In reply to comment #77)
> (In reply to comment #74)
> > Despite repeated requests, this bug is a tangled maze of technical support to
> > users and unofficial patches. Sorry, I have lost interest now that I have
> > gotten the open driver working.
> 
> Can you post about it in the dev list so that maybe another dev will pick up
> this package?
> 

No need... everyone knows we just have to sit still and wait for ATI to fix their binary driver. It's always been this way.
Comment 80 Andreas Markwirth 2009-06-25 09:48:42 UTC
(In reply to comment #70)
> Created an attachment (id=195232) [edit]
> ati-drivers-8.624
> 
> depends on 2.6.29 and 2.6.30 patches listed below (except x86_32 patch)
> 


Hi.
I downloaded the ebuild, moved it to /usr/local/portage/ati-drivers/ati-drivers/, put the patches into ./files/8.624/, ran "ebuild ati-drivers-8.624.ebuild digest" and updated the portage-cache. "emerge ati-drivers/ati-drivers" stops with: 

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/portage/ati-drivers/ati-drivers/files/8.624/ati-drivers-xen.patch
 *   ( ati-drivers-xen.patch )

Kernel: 2.6.30-gentoo-r1
Where do I get this xen-patch for ati-drivers 8.624?

Comment 81 Hubert Mercier 2009-06-25 09:54:04 UTC
Hi,

Did you forget to copy patches from /usr/portage/x11-drivers/ati-drivers/files in your overlay ?
Comment 82 Andreas Markwirth 2009-06-25 11:39:32 UTC
(In reply to comment #81)
> Hi,
> 
> Did you forget to copy patches from /usr/portage/x11-drivers/ati-drivers/files
> in your overlay ?
> 

Uhm, yeah, I forgot to do that.. in fact I forgot I excluded /usr/portage/ form updatedb, no wonder "locate drivers-xen" didn't find anything.
I will try again as soon as I'm home.
Thank you very much for your quick answer.

I'm sorry for asking on bugs.gentoo.org instead of forums.gentoo.org but I thought it was a missing patch-file that belongs to the 8.624-ebuild.
Comment 83 Keith Harrison 2009-06-25 11:51:47 UTC
(In reply to comment #80)
> (In reply to comment #70)
> > Created an attachment (id=195232) [edit]
> > ati-drivers-8.624
> > 
> > depends on 2.6.29 and 2.6.30 patches listed below (except x86_32 patch)
> > 
> 
> 
> Hi.
> I downloaded the ebuild, moved it to
> /usr/local/portage/ati-drivers/ati-drivers/, put the patches into
> ./files/8.624/, ran "ebuild ati-drivers-8.624.ebuild digest" and updated the
> portage-cache. "emerge ati-drivers/ati-drivers" stops with: 
> 
>  * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
>  *
>  *  
> /usr/local/portage/ati-drivers/ati-drivers/files/8.624/ati-drivers-xen.patch
>  *   ( ati-drivers-xen.patch )
> 
> Kernel: 2.6.30-gentoo-r1
> Where do I get this xen-patch for ati-drivers 8.624?
> 

it's in portage just under "files/" not "files/8.624"

ati-drivers-8.624 works "ok" for me with kernel 2.6.28 but I don't have any composite effects enabled.

I still get serious looking errors every time i restart X (which unfortunately i need to do everytime i turn off/on my tv because it changes my resolution for some reason):

Jun 25 06:47:37 be2400 resource map sanity check conflict: 0xcfbfb000 0xcfffbfff 0xbfef0000 0xcfeeffff pnp 00:0e
Jun 25 06:47:37 be2400 ------------[ cut here ]------------
Jun 25 06:47:37 be2400 WARNING: at arch/x86/mm/ioremap.c:226 __ioremap_caller+0x341/0x390()
Jun 25 06:47:37 be2400 Modules linked in: snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss msp3400 saa7115 tuner tea5767 tda8290 tuner_xc2028 xc5000 tda9887 tuner_simple tuner_types mt20xx tea5761 ivtv compat_ioctl32 i2c_algo_bit k8temp cx2341x snd_hda_intel hwmon v4l2_common videodev v4l1_compat tveeprom lirc_imon i2c_core snd_pcm lirc_dev pata_atiixp snd_timer fglrx(P) snd snd_page_alloc
Jun 25 06:47:37 be2400 Pid: 4979, comm: X Tainted: P        W  2.6.28-gentoo-r6 #3
Jun 25 06:47:37 be2400 Call Trace:
Jun 25 06:47:37 be2400 [<ffffffff8023cf94>] warn_on_slowpath+0x64/0xa0
Jun 25 06:47:37 be2400 [<ffffffff8043fd22>] vsnprintf+0x312/0x890
Jun 25 06:47:37 be2400 [<ffffffffa004b642>] firegl_trace+0x72/0x1e0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffff802432a8>] iomem_map_sanity_check+0xa8/0xd0
Jun 25 06:47:37 be2400 [<ffffffff802290b1>] __ioremap_caller+0x341/0x390
Jun 25 06:47:37 be2400 [<ffffffffa00259d2>] drm_ioremap_nocache+0x52/0x120 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa004b642>] firegl_trace+0x72/0x1e0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00259d2>] drm_ioremap_nocache+0x52/0x120 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa003f2cf>] gal_lock_highmem_pages+0x2a5f/0x3750 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa004b642>] firegl_trace+0x72/0x1e0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa003b5d2>] gal_map_virtual_space+0x62/0xc0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa0043ace>] mc_heap_get_lock_memory_info+0xb6e/0x2420 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00411b0>] mc_heap_alloc_reserved_mem+0x180/0x2f0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00367c5>] MCIL_AllocateMemory+0x2f5/0x4b0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa003666a>] MCIL_AllocateMemory+0x19a/0x4b0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00d0f54>] _ZN7GpsBase15GPS_AllocMemoryEPvmjP15_ULARGE_INTEGERP9MCADDRESSb+0x74/0x140 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa003931c>] MCIL_ZeroMemory+0x4c/0x50 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00d11f8>] _ZN7GpsBase14GPS_ZeroMemoryEPvS0_m+0x38/0x40 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00d0dc2>] _ZN7GpsBase11AllocMemoryEmjP15_ULARGE_INTEGERP9MCADDRESSb+0x22/0x30 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00e13e7>] _ZN9PageTable16CreateTableInLFBEm+0x47/0xb0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00e2124>] _ZN17PageTableGartVmpt4InitEv+0x14/0x20 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00e0402>] _ZN13GartVmptRS78015CreatePageTableEP9GpsConfig+0x52/0x210 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00d249d>] _ZN10GPSContext18InitializeAsicGartEv+0x3d/0xf0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa00d0423>] Gps_GartInitialization+0x23/0x40 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa003e5ef>] gal_lock_highmem_pages+0x1d7f/0x3750 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffff80275c01>] __rmqueue_smallest+0x101/0x190
Jun 25 06:47:37 be2400 [<ffffffff80275cc0>] __rmqueue+0x30/0x290
Jun 25 06:47:37 be2400 [<ffffffffa003bfd0>] gal_init+0xc0/0x160 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa0041f22>] mc_heap_init+0xe2/0x200 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa0030f2a>] firegl_init_pcie+0x16a/0x3f0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa0030dc0>] firegl_init_pcie+0x0/0x3f0 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffffa002c93a>] firegl_ioctl+0x1ea/0xf30 [fglrx]
Jun 25 06:47:37 be2400 [<ffffffff802537d0>] autoremove_wake_function+0x0/0x30
Jun 25 06:47:37 be2400 [<ffffffff802ae06d>] vfs_ioctl+0x7d/0xa0
Jun 25 06:47:37 be2400 [<ffffffff802ae10c>] do_vfs_ioctl+0x7c/0x470
Jun 25 06:47:37 be2400 [<ffffffff802ae549>] sys_ioctl+0x49/0x80
Jun 25 06:47:37 be2400 [<ffffffff8063d689>] error_exit+0x0/0x51
Jun 25 06:47:37 be2400 [<ffffffff8020b8cb>] system_call_fastpath+0x16/0x1b
Jun 25 06:47:37 be2400 ---[ end trace e414ee47949821a3 ]---
Jun 25 06:47:37 be2400 [fglrx] Firegl kernel thread PID: 4991
Jun 25 06:47:37 be2400 [fglrx] Gart USWC size:1279 M.
Jun 25 06:47:37 be2400 [fglrx] Gart cacheable size:508 M.
Jun 25 06:47:37 be2400 [fglrx] Reserved FB block: Shared offset:0, size:1000000
Jun 25 06:47:37 be2400 [fglrx] Reserved FB block: Unshared offset:fbfb000, size:401000
Jun 25 06:47:37 be2400 [fglrx] Reserved FB block: Unshared offset:fffc000, size:4000

Comment 84 Valeriy 2009-06-26 07:12:55 UTC
Description: Ati precompiled drivers for recent chipsets

Changes:

*ati-drivers-9.6 (25 Jun 2009)

25 Jun 2009; Tomáš Chvátal (scarabeus)
+files/kernel/2.6.29.patch, +files/kernel/2.6.30-enable_msi.patch,
+files/kernel/2.6.30-irqreturn_t.patch,
+files/kernel/2.6.30-rt_compat.patch,
+files/kernel/2.6.30-tlb_flush.patch, +ati-drivers-9.6.ebuild:
Add new version of ati drivers (9.6). Since now it follows the upstream
versioning scheme. Kernels .29 and .30 are not supported, but patched to
work somehow in this release.

I see kernel patches, but still not available in repository.
And new patches adds new kernel functions that should be included for the correct operation of ATI driver??? Looking for full info ;) or howto about enabling new functions.
Comment 85 Valeriy 2009-06-26 13:55:45 UTC
New small bug:
Kernel: 2.6.30-r1
emerge ati-drivers <--- new drivers (9.6)

Determining the location of the kernel source code
Found kernel source directory:
    /usr/src/linux
Found kernel object directory:
    /lib/modules/2.6.30-gentoo-r1/build
Found sources for kernel version:
    2.6.30-gentoo-r1
Kernels newer then 2.6.28 are heavily patched and might result in runtime failitures.
Consider them as unsupported by us.
All bug reports are needed to be tested with 2.6.28 kernel
>>> Unpacking source...

Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 
/usr/portage/x11-drivers/ati-drivers/files/ati-drivers-xen-8.552.patch
( ati-drivers-xen-8.552.patch )

ERROR: x11-drivers/ati-drivers-9.6 failed.
Call stack:
            ebuild.sh, line   49:  Called src_unpack
            environment, line 3508:  Called epatch '/usr/portage/x11-drivers/ati-drivers/files/ati-drivers-xen-8.552.patch'
            environment, line 1417:  Called die
		The specific snippet of code:
                   die "Cannot find \$EPATCH_SOURCE!";
 The die message:
 Cannot find $EPATCH_SOURCE!
 If you need support, post the topmost build error, and the call stack if relevant.
 A complete build log is located at '/var/tmp/portage/x11-drivers/ati-drivers-9.6/temp/build.log'.
 The ebuild environment file is located at '/var/tmp/portage/x11-drivers/ati-drivers-9.6/temp/environment'.

How to fix it? O_o
Comment 86 Frank Krömmelbein 2009-06-26 14:09:21 UTC
@Valeriy
This Bug is fixed now see: http://bugs.gentoo.org/show_bug.cgi?id=275479
Just "emerge --sync" in 1/2 hour or so.
Comment 87 Valeriy 2009-07-01 17:32:16 UTC
Latest driver for radeon x1300 (RV515) - 9.3.  But still not available for emerge... Because need patch for kernel 2.6.30-r1. (ati-drivers-8.593.ebuild)
Comment 88 Tomáš Chvátal (RETIRED) gentoo-dev 2009-07-06 10:27:04 UTC
Okey this one is in main tree. So fixed. Users of older cards should really really use xf86-video-ati.
Comment 89 edbch 2009-09-14 18:24:08 UTC
(In reply to comment #70)
> Created an attachment (id=195232) [edit]
> ati-drivers-8.624
> 
> depends on 2.6.29 and 2.6.30 patches listed below (except x86_32 patch)
> 

Hello everyone.

I have an x1400, and following the advice above and slightly modified the patch that corrects the problem of flush_tlb_page, I created an ebuild in my overlay that is essential the same that 8.629, but uses version 9.3 of ATI's binary, becose it is the last version that supports my card.
All the compiled module was loaded, etc, no errors. The problem arises when I try to run any program that requires acceleration. In this case the kernel freezes. The kernel log does not show me much, but I can put it here if someone finds it necessary.
I'm using kernel 2.6.30-r5. Right now I'm using the opensource driver, but I want my compiz back.
Any ideas?